 //@ sourceURL=tabExpedientes.js
/*!
 * Copyright 2021 E.J.I.E., S.A.
 *
 * Licencia con arreglo a la EUPL, Versión 1.1 exclusivamente (la "Licencia");
 * Solo podrá usarse esta obra si se respeta la Licencia.
 * Puede obtenerse una copia de la Licencia en
 *
 *      http://ec.europa.eu/idabc/eupl.html
 *
 * Salvo cuando lo exija la legislación aplicable o se acuerde por escrito,
 * el programa distribuido con arreglo a la Licencia se distribuye "TAL CUAL",
 * SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
 * Véase la Licencia en el idioma concreto que rige los permisos y limitaciones
 * que establece la Licencia.
 */

jQuery(function($) {
	

	initRupI18nPromise.then(function() {
		
	
		
		initTabla();
		initComponentes();
		initControDeEstado();
		
	});
		
		
	function initTabla(){
		let tableColModels = [
			{ 	name: "numExpediente00",
				index: "numExpediente00",
				editable: true, 
				hidden: false
			},
			{ 	name: "idTipoEntrada00",
				index: "idTipoEntrada00",
				editable: true, 
				hidden: false
			},
			{ 	name: "idProcedimiento00",
				index: "idProcedimiento00",
				editable: true, 
				hidden: false
			},
			{ 	name: "estados.idEstado30",
				index: "estados.idEstado30",
				editable: true, 
				hidden: false
			},
			{ 	name: "fRecepcion00",
				index: "fRecepcion00",
				editable: true, 
				hidden: false
			},
			{ 	name: "fRegistro00",
				index: "fRegistro00",
				editable: true, 
				hidden: false
			},
			{ 	name: "numRegistro00",
				index: "numRegistro00",
				editable: true, 
				hidden: false
			}];

		let columnDefs = [ 
			{
				"targets": 0,
				"render": function ( data, type, row, meta ) {
					if(!isSSB && !isPS) {						
						const url =  $.rup.CTX_PATH + 'expedientes/detail/' + row.idExpediente00;
						return `<a href='javascript:window.open("${url}", "exp_${row.idExpediente00}");'>${row.numExpediente00}</a>`;
					}
					
					return row.numExpediente00;
				}
			},{
				"targets": 1,
				"render": function ( data, type, row, meta ) {
					if(tipoEntrada00TelematicaVal == data){
						return tipoEntrada00TelematicaDesc;
					}else if(tipoEntrada00Papel0Val == data){
						return tipoEntrada00Papel0Desc;
					} else if(tipoEntrada00PresencialVal == data){
						return tipoEntrada00PresencialDesc;
					}else if(tipoEntrada00OficioVal == data){
						return tipoEntrada00OficioDesc;
					}else{
						return '';
					} 
					
				}
			},{
				"targets": 2,
				"render": function ( data, type, row, meta ) {
					if(procedimientoAltaVal == data){
						return procedimientoAltaDesc;
					}else if(procedimientoBajaVal == data){
						return procedimientoBajaDesc;
					} else if(procedimientoModificacionVal == data){
						return procedimientoModificacionDesc;
					} else if(procedimientoRevision_precioVal == data){
						return procedimientoRevision_precioDesc;
					} else if(procedimientoInformeVal == data){
						return procedimientoInformeDesc;
					}else if(procedimientoX87AltaVal == data){
						return procedimientoX87AltaDesc;
					}else if(procedimientoX87BajaVal == data){
						return procedimientoX87BajaVal;
					}else if(procedimientoX87RevVal == data){
						return procedimientoX87RevDesc;
					}else{
						return '';
					} 
					
				}
			},{
				"targets": 3,
				"render": function ( data, type, row, meta ) {
					if(row.estados != undefined){
						return row.estados.desc;
					}else{
						return '';
					} 
					
				}
			}
		];

		


		$("#expedientes").rup_table({
			colReorder: {
			 fixedColumnsLeft: 1
			}
			,colModel: tableColModels
			,columnDefs : columnDefs
			,primaryKey: "idExpediente00"
			,filter:{
	  	  		id:"expedientes_filter_form",
	  	  		filterToolbar:"expedientes_filter_toolbar",
	  	  		collapsableLayerId:"expedientes_filter_fieldset"
	     	}
			,noEdit : true
			
       		,select: {
           		activate: true
       		}
    		,seeker: {
    			activate: true
			}
			,buttons: {
				activate: false
			}
			,columnOrderArrows: {
			    showOnlyActive: false,
			    display: 'inline'
			}
			,order: [[5, "asc"]]
		});
	}

	function initControDeEstado(){
		
		//Administrador y Técnico de la DSS PUEDEN EDITAR
		
	}
	
	function initComponentes(){
		 /******************/
		 /* LLAMADAS UTILS */
		 /******************/
		
		Ad74aUtils.hacerPlegable();
	}
	
	
});